﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Shapes;

namespace WGneu.Windows {
    public partial class DocumentViewerWindow : Window {

        private Utils.TemporaryFile? PdfFile = null;

        public DocumentViewerWindow(string title, string path) {
            InitializeComponent();
            Title = Title + " - " + title;
            WebView.Source = new($"file://{path}#view=FitH");
        }

        public DocumentViewerWindow(string title, Utils.TemporaryFile file) : this(title, file.FilePath) {
            PdfFile = file;
        }

        public void OnClosed(object sender, EventArgs e) {
            PdfFile?.Dispose();
            PdfFile = null;
        }
    }
}
